Subject: Re: [lojban] jutske

From: Pierre Abbat <[email-masked]>
Date: Mon, 3 Sep 2001 22:22:05 -0400

The taxonomy page is up. Please add more species, orders, and any other taxa 
you can think of, as well as alternate (common or scientific) names for any 
that are already there. If you don't know what something is, ask me.

phma

P.S. Jay, what's oog?